Subject: Re: problems with latest Cygwin 1.1
From: Carl Thompson <[email-masked]>
To: "Parker, Ron" <[email-masked]>
Cc: Cygwin List <[email-masked]>
Date: Mon, 05 Jun 2000 18:22:05 -0700

"Parker, Ron" wrote:

> ...

> I could refer you back to the same set of messages, but...
> 
> Using g++ always causes the application to be linked against libm.a,
> which is a symlink to libcygwin.a.  The work around is to use gcc with
> the -lstdc++ switch, if needed.  This will link without libm.a.

This doesn't seem to work, unfortunately.  Compiling this test program

   // cet3.cxx
   #include <stream.h>
   main() {
     cerr << "This is a test!" << endl ;
   }

with this command line

   gcc -g cet3.cxx -o cet3 -mno-cygwin -lstdc++

produces the attached copious error output.  Also, what happens if I want to
use the math library in my app?  Moreover, this  "solution" requires hacking
my configure scripts and makefiles when they should work automatically. 
Finally, I don't think it's unreasonable for me to say that compiling C++
apps with g++ should work, especially when it worked in a previous release
(b20).

> ...

> I will also send you the fixed g++.exe if you would like. It is about
> 29KB.

OK, thanks.

Thanks again,
Carl Thompson

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iostream.o)(.text+0x154): undefined reference to `_imp___ctype_'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iostream.o)(.text+0x521): undefined reference to `_imp___ctype_'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iostream.o)(.text+0x17c7): undefined reference to `_impure_ptr'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iostream.o)(.text+0x17d8): undefined reference to `_impure_ptr'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(streambuf.o)(.text+0x3e7): undefined reference to `__errno'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(stdstrbufs.o)(.text+0x46): undefined reference to `_impure_ptr'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(stdiostream.o)(.text+0x16c): undefined reference to `__srget'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iovfscanf.o)(.text+0x60): undefined reference to `_imp___ctype_'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iovfscanf.o)(.text+0x8d): undefined reference to `_imp___ctype_'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iovfscanf.o)(.text+0x584): undefined reference to `_imp___ctype_'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iovfscanf.o)(.text+0x5d1): undefined reference to `_imp___ctype_'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iovfscanf.o)(.text+0x85d): undefined reference to `_imp___ctype_'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(iovfscanf.o)(.text+0x8b4): more undefined references to `_imp___ctype_' follow

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(fileops.o)(.text+0x194): undefined reference to `__errno'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(fileops.o)(.text+0x206): undefined reference to `__errno'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(fileops.o)(.text+0x261): undefined reference to `__errno'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(fileops.o)(.text+0x390): undefined reference to `__errno'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(fileops.o)(.text+0x459): undefined reference to `__errno'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(fileops.o)(.text+0x5b1): more undefined references to `__errno' follow

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(floatconv.o)(.text+0x128d): undefined reference to `__infinity'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libstdc++.a(floatconv.o)(.text+0x13ed): undefined reference to `__errno'

/bin/../lib/gcc-lib/i686-pc-cygwin/2.95.2/libgcc.a(_eh.o)(.text+0x389): undefined reference to `_impure_ptr'

collect2: ld returned 1 exit status

--
Want to unsubscribe from this list?
Send a message to [email-masked]